{% extends 'layout.html' %}

{% block content %}
<div class="container text-center">
    <div class="row">
        <div class="col-12 col-md-6 mb-3">
            <div class="card p-3">
                <canvas id="myChart1" class="responsive-chart"></canvas>
            </div>
            <div class="card p-3 mt-3">
                <canvas id="myChart3" class="responsive-chart"></canvas>
            </div>
        </div>
        <div class="col-12 col-md-6 mb-3">
            <div class="card p-3">
                <canvas id="myChart2" class="responsive-chart"></canvas>
            </div>
            <div class="card p-3 mt-3">
                <canvas id="myChart4" class="responsive-chart"></canvas>
            </div>
        </div>
    </div>
</div>

<style>
    .responsive-chart {
        width: 100%;
        min-height: 250px; /* Minimum height */
        height: auto; /* Height adjusts with content */
    }
    @media (max-width: 576px) {
        .card {
            padding: 1rem;
        }
        .responsive-chart {
            min-height: 200px; /* Smaller min-height for small screens */
        }
    }
    @media (min-width: 768px) {
        .card {
            padding: 1.5rem;
        }
        .responsive-chart {
            min-height: 250px; /* Larger min-height for larger screens */
        }
    }
</style>
{% endblock %}
